Get Asana sync settings

gethttps://api.expiryedge.com/v1/integrations/asana/orgSettings
any role60/min
Anfrage
curl 'https://api.expiryedge.com/v1/integrations/asana/orgSettings' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Antwort
{
  "connected": true,
  "default_workspace_gid": "1200000000000001",
  "default_project_gid": "1200000000000042",
  "sync_on_create": true,
  "sync_on_update": true,
  "sync_from_asana": true,
  "enabled": true
}

Returns {connected: false} when Asana was never connected.

Rückgabe

200
Settings.
  • connectedboolean
  • default_workspace_gidstring | null
  • default_project_gidstring | null
  • sync_on_createboolean
  • sync_on_updateboolean
  • sync_from_asanaboolean
  • enabledboolean

Fehler

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.